(ns mailhead.routes.home
  (:require [mailhead.layout :as layout]
            [compojure.core :refer [defroutes GET POST]]
            [ring.util.http-response :refer [ok]]
            [clojure.java.io :as io]))

(defn home-page []
  (layout/render "home.html"))

(defn about-page []
  (layout/render "about.html"))

(defn analyze-mailheader [mailheader]
  (layout/render "result.html" {:mailheader mailheader}))

(defroutes home-routes
  (GET "/" [] (home-page))
  (POST "/analyze" [mailheader] (analyze-mailheader mailheader))
  (GET "/about" [] (about-page)))

